<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>[DRAFT]-How-do-I-explain-my-code-to-someone</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<p>When in an interview situation or at work, being able to concisely explain code is an extremely valuable skill. It minimizes the amount of time spent clearly conveying information to the listener so they can understand it as quickly and completely as possible.</p>
<ul>
<li>What was your process, how did you think through it, where did you start?
<ul>
<li>Reminds you of something?</li>
</ul></li>
<li>Describe underlying motivations
<ul>
<li>Big picture, why</li>
<li>What problems are we trying to solve</li>
</ul></li>
<li>Pause for questions, slow down
<ul>
<li>The questioner might guide the presentation</li>
<li>Make it a conversation, keep them from zoning out</li>
</ul></li>
<li>Rationale for tech stack, tools used</li>
<li>Describe the program at a high level
<ul>
<li>See if you can do this in a single sentence.</li>
</ul></li>
<li>Break down the program to smaller pieces and say how they interact</li>
<li>If the smaller pieces themselves warrant more breakdown, do it</li>
<li>Say what it does and why it does it, not how it does it.</li>
<li>They can read code–don’t read it to them.
<ul>
<li>similar to don’t read the bullets in powerpoint</li>
</ul></li>
<li>Comment blocks that say what code does, and why, but not how (unless absolutely needed)</li>
<li>Point out and explain anything that’s unusual
<ul>
<li>e.g. iterating through a list by 3s</li>
</ul></li>
<li>Be enthusiastic and respectful, show you have fun with it</li>
<li>Don’t throw anyone under the bus</li>
<li>Don’t be nervous
<ul>
<li>Calm professional</li>
<li>Be cool</li>
</ul></li>
</ul>
<p>[Can you make a formula they can easily follow? Acronym for the formula? Acronym for the Acronym?]</p>
<p>[Example here]</p>
</body>
</html>
